Changeset 127341


Ignore:
Timestamp:
Oct 25, 2014, 10:50:03 PM (6 years ago)
Author:
devans@…
Message:

gramps: update to version 4.1.1, drop +python32 +python33 variants, default to +python34, needs gnome-themes-standard at run time.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/genealogy/gramps/Portfile

    r121999 r127341  
    99PortGroup               python 1.0
    1010
    11 version                 4.1.0
     11version                 4.1.1
    1212license                 GPL-2
    1313categories              genealogy python
     
    2828master_sites            sourceforge:gramps
    2929
    30 checksums               rmd160  f3641db2a247826442ad8cd7e8faf1e372e44175 \
    31                         sha256  50bdcd954937bd3ea24b7199a6950e15dac1c332980b18d25996c0db847b8ff4
     30checksums               rmd160  b47b687147e327d95a852b95cd83f82930796857 \
     31                        sha256  c00078e0b0ae50659bb07501be5b2702356cb7d69c18d960509556d1fdd1b749
    3232
    3333depends_build-append    port:intltool
     
    4545                        port:goocanvas2
    4646
     47depends_run             port:gnome-themes-standard
     48
    4749patchfiles              patch-gramps-gen-utils-resourcepath.py.diff
    4850
     
    5658#
    5759# supports python27 and python3 >= 3.2
    58 # python 3 versions require py-bsddb3 for database access, not yet tested with python34
     60# python 3 versions require py-bsddb3 for database access
    5961#
    6062
    61 variant python27 conflicts python32 python33 description {Use Python 2.7} {
     63variant python27 conflicts python34 description {Use Python 2.7} {
    6264    python.default_version  27
    6365    depends_lib-append  port:py27-gobject3 \
     
    6668}
    6769
    68 variant python32 conflicts python27 python33 description {Use Python 3.2} {
    69     python.default_version  32
    70     depends_lib-append  port:py32-gobject3 \
    71                         port:py32-pyicu \
    72                         port:py32-Pillow \
    73                         port:py32-bsddb3
     70variant python34 conflicts python27 description {Use Python 3.4} {
     71    python.default_version  34
     72    depends_lib-append  port:py34-gobject3 \
     73                        port:py34-pyicu \
     74                        port:py34-Pillow \
     75                        port:py34-bsddb3
    7476}
    7577
    76 variant python33 conflicts python27 python32 description {Use Python 3.3} {
    77     python.default_version  33
    78     depends_lib-append  port:py33-gobject3 \
    79                         port:py33-pyicu \
    80                         port:py33-Pillow \
    81                         port:py33-bsddb3
    82 }
    83 
    84 if {![variant_isset python32] && ![variant_isset python33]} {
    85     default_variants +python27
     78if {![variant_isset python27]} {
     79    default_variants    +python34
    8680}
    8781
Note: See TracChangeset for help on using the changeset viewer.